Component({
  options:{addGlobalClass: true},//使用全局css样式
  properties: {
    show:{
      type: Boolean,
      observer: function (newVal) {
        this.setData({ show: newVal });
      }
    },
    alternateData:{
      type: Object,
      observer: function (newVal) {
        this.setData({ info: newVal });
      }
    },
  },
  data: {
    show:false,
    info:{},
  },
  methods: {
    // 关闭弹窗
    closeTip(e){
      this.close(e.detail)
    },
    closePopup(){
      this.close(false)
    },
    close(data){
      this.triggerEvent("close");
    },
    // 跳转至候补说明页
    jumpPage(){
      wx.navigateTo({
        url: '/pages/product/alternateInstract/index',
      })
    },
    sub(){
      wx.navigateTo({
        url: '/pages/product/buy/index?aid=' + this.data.info.aid + '&atype=' + this.data.info.atype + '&createGroup=' + this.data.info.createGroup + '&qptype=' + this.data.info.qptype + '&groupid=' + this.data.info.groupid + '&sessionsIndex=' + this.data.info.sessionsIndex + '&mealsIndex=' + this.data.info.mealsIndex + '&quantity=' + this.data.info.quantity + '&recommender=' + this.data.info.recommender + '&street=' + this.data.info.street +'&presellOpen='+this.data.info.presellOpen+'&btype='+this.data.info.btype + '&military='+this.data.info.military
      });
    }
  }
})